      subroutine matgen(a,lda,m,n,iseed,jj)
      real a(lda,1), slarnd
      integer iseed(*), m, n, lda,jj
c
      do 30 j = 1,n
         do 20 i = 1,m
            a(i,j) = slarnd(2,iseed) 
	    if (i.eq.jj+j-1) then
	       a(i,j) = m + m*abs(a(i,j))
            endif
   20    continue
   30 continue
      return
      end
